Error when opening Oxygen 17.1

Having trouble installing <oXygen/>? Got a bug to report? Post it all here.
rdelong
Posts: 71
Joined: Tue Oct 21, 2014 10:01 pm

Error when opening Oxygen 17.1

Post by rdelong » Wed Feb 20, 2019 7:01 pm

A co-worker ran into this issue today when opening Oxygen version 17.1, 32-bit:
ro.sync.exml.workspace.api.standalone.StandalonePluginWorkspace.getResourceBundle()Lro/sync/exml/workspace/api/PluginResourceBundle;

After clicking OK, Oxygen opens normally.
We use this version because it's supported by our CCMS plugin

Is there an explanation for this error?

Radu
Posts: 6453
Joined: Fri Jul 09, 2004 5:18 pm

Re: Error when opening Oxygen 17.1

Post by Radu » Thu Feb 21, 2019 8:52 am

Hi Rick,

This particular API method was added in Oxygen 18.1. So if a plugin uses it (and it seems that a plugin you have installed on your side does) then Oxygen 17.1 when started would throw this unhandled error. So either the CMS-provided plugin needs to be used in a newer Oxygen installation or you are using some extra plugins which do not work with Oxygen 17.1.

Regards,
Radu
Radu Coravu
<oXygen/> XML Editor
http://www.oxygenxml.com

Post Reply